summaryrefslogtreecommitdiff
path: root/dhcp
diff options
context:
space:
mode:
authorChris Larson <clarson@kergoth.com>2004-12-09 09:47:41 +0000
committerChris Larson <clarson@kergoth.com>2004-12-09 09:47:41 +0000
commit2c5b8ec6d95cf68650265941530e5ce38c8dd6d9 (patch)
treebf879bea7ef8517ba8c3d1286ef300401d3d484c /dhcp
parent101e2f1623def0a355d20aacb8bd93810703e834 (diff)
Merge oe-devel@oe-devel.bkbits.net:openembedded
into hyperion.kergoth.com:/home/kergoth/code/openembedded 2004/12/09 03:39:39-06:00 kergoth.com!kergoth Break people's builds again.. this time moving the packages into a packages/ subdir to clean things up a bit. BKrev: 41b81f3dvlp3rU7_8MUXLcI8LDdDoA
Diffstat (limited to 'dhcp')
-rw-r--r--dhcp/dhcp_3.0.1.bb0
-rw-r--r--dhcp/files/default-relay12
-rw-r--r--dhcp/files/default-server7
-rw-r--r--dhcp/files/dhclient.conf0
-rw-r--r--dhcp/files/dhcpd.conf0
-rw-r--r--dhcp/files/init-relay44
-rw-r--r--dhcp/files/init-server44
-rw-r--r--dhcp/files/noattrmode.patch0
8 files changed, 0 insertions, 107 deletions
diff --git a/dhcp/dhcp_3.0.1.bb b/dhcp/dhcp_3.0.1.bb
deleted file mode 100644
index e69de29bb2..0000000000
--- a/dhcp/dhcp_3.0.1.bb
+++ /dev/null
diff --git a/dhcp/files/default-relay b/dhcp/files/default-relay
deleted file mode 100644
index 59249db283..0000000000
--- a/dhcp/files/default-relay
+++ /dev/null
@@ -1,12 +0,0 @@
-# Defaults for dhcp-relay initscript
-# sourced by /etc/init.d/dhcp-relay
-
-# What servers should the DHCP relay forward requests to?
-# e.g: SERVERS="192.168.0.1"
-SERVERS=""
-
-# On what interfaces should the DHCP relay (dhrelay) serve DHCP requests?
-INTERFACES=""
-
-# Additional options that are passed to the DHCP relay daemon?
-OPTIONS="" \ No newline at end of file
diff --git a/dhcp/files/default-server b/dhcp/files/default-server
deleted file mode 100644
index 0385d16992..0000000000
--- a/dhcp/files/default-server
+++ /dev/null
@@ -1,7 +0,0 @@
-# Defaults for dhcp initscript
-# sourced by /etc/init.d/dhcp-server
-# installed at /etc/default/dhcp-server by the maintainer scripts
-
-# On what interfaces should the DHCP server (dhcpd) serve DHCP requests?
-# Separate multiple interfaces with spaces, e.g. "eth0 eth1".
-INTERFACES=""
diff --git a/dhcp/files/dhclient.conf b/dhcp/files/dhclient.conf
deleted file mode 100644
index e69de29bb2..0000000000
--- a/dhcp/files/dhclient.conf
+++ /dev/null
diff --git a/dhcp/files/dhcpd.conf b/dhcp/files/dhcpd.conf
deleted file mode 100644
index e69de29bb2..0000000000
--- a/dhcp/files/dhcpd.conf
+++ /dev/null
diff --git a/dhcp/files/init-relay b/dhcp/files/init-relay
deleted file mode 100644
index 3cb8b0b890..0000000000
--- a/dhcp/files/init-relay
+++ /dev/null
@@ -1,44 +0,0 @@
-#!/bin/sh
-#
-# $Id$
-#
-
-# It is not safe to start if we don't have a default configuration...
-if [ ! -f /etc/default/dhcp-relay ]; then
- echo "/etc/default/dhcp-relay does not exist! - Aborting..."
- echo "create this file to fix the problem."
- exit 1
-fi
-
-# Read init script configuration (interfaces the daemon should listen on
-# and the DHCP server we should forward requests to.)
-. /etc/default/dhcp-relay
-
-# Build command line for interfaces (will be passed to dhrelay below.)
-IFCMD=""
-if test "$INTERFACES" != ""; then
- for I in $INTERFACES; do
- IFCMD=${IFCMD}"-i "${I}" "
- done
-fi
-
-DHCRELAYPID=/var/run/dhcrelay.pid
-
-case "$1" in
- start)
- start-stop-daemon -S -x /usr/sbin/dhcrelay -- -q $OPTIONS $IFCMD $SERVERS
- ;;
- stop)
- start-stop-daemon -K -x /usr/sbin/dhcrelay
- ;;
- restart | force-reload)
- $0 stop
- sleep 2
- $0 start
- ;;
- *)
- echo "Usage: /etc/init.d/dhcp-relay {start|stop|restart|force-reload}"
- exit 1
-esac
-
-exit 0
diff --git a/dhcp/files/init-server b/dhcp/files/init-server
deleted file mode 100644
index dc51f445f4..0000000000
--- a/dhcp/files/init-server
+++ /dev/null
@@ -1,44 +0,0 @@
-#!/bin/sh
-#
-# $Id$
-#
-
-test -f /usr/sbin/dhcpd || exit 0
-
-# It is not safe to start if we don't have a default configuration...
-if [ ! -f /etc/default/dhcp-server ]; then
- echo "/etc/default/dhcp-server does not exist! - Aborting..."
- exit 0
-fi
-
-# Read init script configuration (so far only interfaces the daemon
-# should listen on.)
-. /etc/default/dhcp-server
-
-case "$1" in
- start)
- echo -n "Starting DHCP server: "
- test -d /var/lib/dhcp/ || mkdir -p /var/lib/dhcp/
- test -f /var/lib/dhcp/dhcpd.leases || touch /var/lib/dhcp/dhcpd.leases
- start-stop-daemon -S -x /usr/sbin/dhcpd -- -q $INTERFACES
- echo "."
- ;;
- stop)
- echo -n "Stopping DHCP server: dhcpd3"
- start-stop-daemon -K -x /usr/sbin/dhcpd
- echo "."
- ;;
- restart | force-reload)
- $0 stop
- sleep 2
- $0 start
- if [ "$?" != "0" ]; then
- exit 1
- fi
- ;;
- *)
- echo "Usage: /etc/init.d/dhcp-server {start|stop|restart|force-reload}"
- exit 1
-esac
-
-exit 0
diff --git a/dhcp/files/noattrmode.patch b/dhcp/files/noattrmode.patch
deleted file mode 100644
index e69de29bb2..0000000000
--- a/dhcp/files/noattrmode.patch
+++ /dev/null